pbs_mpilam(8B)

NAME
pbs_mpilam - run MPI programs under PBS with LAM MPI

SYNOPSIS
pbs_mpilam [<mpilam options>] pbs_mpilam --version

DESCRIPTION
The PBS command pbs_mpilam replaces the standard mpirun command in a PBS LAM MPI job. If used to run a single program, PBS tracks resource usage and controls all user processes spawned by the program. If used to run multiple programs as specified in an application file (no <where> argument and no -np/-c option), PBS does not manage the spawned user processes of each program. If the where argument is not specified, pbs_mpilam will try to run the user's program on all available CPUs using the C keyword. Prerequisites
The PATH on remote machines must contain PBS_EXEC/bin.

USAGE
Usage is the same as for LAM mpirun. All options are passed directly to mpirun.

OPTIONS

<mpilam options>
    The pbs_mpilam command uses the same options as mpirun.

--version
    The pbs_mpilam command returns its PBS version information and exits. This option can only be used alone.

SEE ALSO
The PBS Professional Administrator's Guide

mpirun(1)